import 'package:auto_route/auto_route.dart';
import 'package:furman_now/src/screens/events/index.dart';
import 'package:furman_now/src/screens/home/home_header.dart';
import 'package:furman_now/src/screens/home/index.dart';
import 'package:furman_now/src/screens/info/index.dart';
import 'package:furman_now/src/screens/map/index.dart';
import 'package:furman_now/src/screens/student_id/index.dart';

import '../layouts/main/index.dart';

@MaterialAutoRouter(
  replaceInRouteName: 'Screen,Route',
  routes: <AutoRoute>[
    AutoRoute(path: "/", page: MainLayout, children: [
      AutoRoute(path: "home", name: "HomePageRouter", page: HomeScreen, children: [
        CustomRoute(
          path: "",
          page: HomePageHeader,
          name: "HomeRoute",
          transitionsBuilder: TransitionsBuilders.fadeIn,
        ),
        CustomRoute(
          path: "student-id",
          page: StudentIdScreen,
          transitionsBuilder: TransitionsBuilders.fadeIn,
        ),
      ]),
      AutoRoute(path: "map", page: MapScreen),
      AutoRoute(path: "events", page: EventsScreen),
      AutoRoute(path: "info", page: InfoScreen),
    ]),
  ],
)
class $AppRouter {}